# helm – Manages Kubernetes packages with the Helm package manager

New in version 2.4.

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- Install, upgrade, delete and list packages with the Helm package manager.

## Requirements

The below requirements are needed on the host that executes this module.

- pyhelm
- grpcio

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
chart - | Default: {} | A map describing the chart to install. See examples for available options.

disable_hooks
boolean

Choices:
- no ←
- yes

Whether to disable hooks during the uninstall process.

host - | Default: "localhost" | Tiller's server host.
name - |  | Release name to manage.
namespace - | Default: "default" | Kubernetes namespace where the chart should be installed.
port - | Default: 44134 | Tiller's server port.

state
-

Choices:
- absent
- purged
- present ←

Whether to install `present`, remove `absent`, or purge `purged` a package.

values - | Default: {} | A map of value options for the chart.

## Examples

    - name: Install helm chart
      helm:
        host: localhost
        chart:
          name: memcached
          version: 0.4.0
          source:
            type: repo
            location: https://kubernetes-charts.storage.googleapis.com
        state: present
        name: my-memcached
        namespace: default

    - name: Uninstall helm chart
      helm:
        host: localhost
        state: absent
        name: my-memcached

    - name: Install helm chart from a git repo
      helm:
        host: localhost
        chart:
          source:
            type: git
            location: https://github.com/user/helm-chart.git
        state: present
        name: my-example
        namespace: default

    - name: Install helm chart from a git repo specifying path
      helm:
        host: localhost
        chart:
          source:
            type: git
            location: https://github.com/helm/charts.git
            path: stable/memcached
        state: present
        name: my-memcached
        namespace: default

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Flavio Percoco (@flaper87)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.